package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外链扫描情况记录对象 data_record
 * 
 * @author ruoyi
 * @date 2024-09-29
 */
public class DataRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 数据标识 */
    /*@Excel(name = "数据标识")*/
    private Long record;

    @Excel(name = "扫描时间")
    private String timestamp;

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    /** 内层url */
    @Excel(name = "链接地址")
    private String linkurl;

    /** 外层url */
    @Excel(name = "所在页面")
    private String url;

    /** 信息 */
    @Excel(name = "信息")
    private String msg;

    private String urltype;

    public String getUrltype() {
        return urltype;
    }

    public void setUrltype(String urltype) {
        this.urltype = urltype;
    }

    public DataRecord() {
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRecord(Long record)
    {
        this.record = record;
    }

    public Long getRecord()
    {
        return record;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setLinkurl(String linkurl) 
    {
        this.linkurl = linkurl;
    }

    public String getLinkurl() 
    {
        return linkurl;
    }

    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("record", getRecord())
            .append("url", getUrl())
            .append("linkurl", getLinkurl())
            .append("msg", getMsg())
            .toString();
    }
}
